diff --git a/examples/z80/linker_test_1/main.s b/examples/z80/linker_test_1/main.s
index d5d7b1a4..26019122 100644
--- a/examples/z80/linker_test_1/main.s
+++ b/examples/z80/linker_test_1/main.s
@@ -186,12 +186,24 @@ _loop:
 .ends
 
 .org $1200
-.section "table" force
-.db "<TABLE>"
+.section "table1" force
+
+.db "<TABLE1>"
 .table byte, word, byte, word, byte, BYTE
 .row $01, $0302, $04, $0605, $07, $08
 .row "a", "bc", "d", "ef", "g", "h"
-.db "</TABLE"
+.db "</TABLE1>"
+
 .ends
 
+.org $1300
+.section "table2" force
+
+.TABLE DSB 16
+.db "<TABLE2>"
+@tile: .ROW $10 $14 $14 $18 $35 $34 $2C $39 $21 $20 $1E $09 $04 $1E $10 $3F
+@sprite:.ROW $00 $20 $35 $2E $29 $3A $00 $3F $14 $29 $3A $14 $3E $3A $19 $25
+.db "</TABLE2>"
+
+.ends
 
diff --git a/parse.c b/parse.c
index f617623f..dd555ef8 100644
--- a/parse.c
+++ b/parse.c
@@ -358,7 +358,7 @@ int input_number(void) {
   }
 
   if (e >= '0' && e <= '9') {
-    /* we are parsing decimals when q=1 */
+    /* we are parsing decimals when q == 1 */
     q = 0;
     parsed_double = e-'0';
     parsed_double_decimal_numbers = 0;
diff --git a/pass_1.c b/pass_1.c
index 3519b41e..0dfbb134 100644
--- a/pass_1.c
+++ b/pass_1.c
@@ -571,9 +571,10 @@ int pass_1(void) {
       return SUCCEEDED;
     else if (q == EVALUATE_TOKEN_NOT_IDENTIFIED) {
       /* check if it is of the form "LABEL:XYZ" */
-      for (q = 0; q < ss; q++)
+      for (q = 0; q < ss; q++) {
         if (tmp[q] == ':')
           break;
+      }
 
       /* is it a macro? */
       if (q == ss)
@@ -1787,8 +1788,9 @@ int parse_directive(void) {
 	return FAILED;
       }
     }
-	
+
     inz = input_number();
+    ind = 0;
     for ( ; inz == SUCCEEDED || inz == INPUT_NUMBER_STRING || inz == INPUT_NUMBER_ADDRESS_LABEL || inz == INPUT_NUMBER_STACK; ) {
       if (inz == INPUT_NUMBER_STRING) {
 	if (table_format[table_index] == 'b') {
@@ -1899,6 +1901,7 @@ int parse_directive(void) {
 	}
       }
 
+      ind++;
       table_index++;
       if (table_index >= table_size) {
 	rows++;
